From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/winetricks/
Date: Sat, 7 Sep 2024 21:26:33 +0000 (UTC) [thread overview]
Message-ID: <1725740744.6976e5a4946297ac297914d2be5e5ae1455a2031.asturm@gentoo> (raw)
commit: 6976e5a4946297ac297914d2be5e5ae1455a2031
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 7 16:45:51 2024 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Sep 7 20:25:44 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6976e5a4
app-emulation/winetricks: Consolidate IUSE gtk,kde -> gui
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
...999999.ebuild => winetricks-20240105-r1.ebuild} | 42 +++++++++-------------
.../winetricks/winetricks-99999999.ebuild | 40 ++++++++-------------
2 files changed, 31 insertions(+), 51 deletions(-)
diff --git a/app-emulation/winetricks/winetricks-99999999.ebuild b/app-emulation/winetricks/winetricks-20240105-r1.ebuild
similarity index 69%
copy from app-emulation/winetricks/winetricks-99999999.ebuild
copy to app-emulation/winetricks/winetricks-20240105-r1.ebuild
index 91fa5d31a9b7..b6d5aec199b7 100644
--- a/app-emulation/winetricks/winetricks-99999999.ebuild
+++ b/app-emulation/winetricks/winetricks-20240105-r1.ebuild
@@ -3,30 +3,26 @@
EAPI=8
+WTG="winetricks-gentoo-2012.11.24"
inherit xdg
-if [[ ${PV} == "99999999" ]] ; then
+if [[ ${PV} == *99999999* ]] ; then
EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git"
inherit git-r3
SRC_URI=""
else
SRC_URI="https://github.com/Winetricks/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="amd64 x86"
fi
-wtg="winetricks-gentoo-2012.11.24"
-
-SRC_URI="${SRC_URI}
- gtk? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
- kde? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
-"
+SRC_URI+=" gui? ( https://dev.gentoo.org/~chiitoo/distfiles/${WTG}.tar.bz2 )"
DESCRIPTION="Easy way to install DLLs needed to work around problems in Wine"
HOMEPAGE="https://github.com/Winetricks/winetricks https://wiki.winehq.org/Winetricks"
LICENSE="LGPL-2.1+"
SLOT="0"
-IUSE="gtk kde rar test"
+IUSE="gui rar test"
RESTRICT="!test? ( test )"
# dev-util/shellcheck is not available for x86
@@ -42,16 +38,17 @@ BDEPEND="
)
)
"
-DEPEND=""
-RDEPEND="${DEPEND}
+RDEPEND="
app-arch/cabextract
app-arch/p7zip
app-arch/unzip
net-misc/wget
virtual/wine
x11-misc/xdg-utils
- gtk? ( gnome-extra/zenity )
- kde? ( kde-apps/kdialog )
+ gui? ( || (
+ gnome-extra/zenity
+ kde-apps/kdialog:*
+ ) )
rar? ( app-arch/unrar )
"
@@ -65,16 +62,10 @@ RDEPEND="${DEPEND}
QA_DESKTOP_FILE="usr/share/applications/winetricks.desktop"
src_unpack() {
- if [[ ${PV} == "99999999" ]]; then
- git-r3_src_unpack
-
- if use gtk || use kde; then
- unpack ${wtg}.tar.bz2
- fi
-
- else
- default
- fi
+ case ${PV} in
+ *99999999*) git-r3_src_unpack ;&
+ *) default ;;
+ esac
}
src_test() {
@@ -84,8 +75,7 @@ src_test() {
src_install() {
default
- if ! use gtk && ! use kde; then
- rm -r "${ED}"/usr/share/applications || die
- rm -r "${ED}"/usr/share/icons || die
+ if ! use gui; then
+ rm -r "${ED}"/usr/share/{applications,icons} || die
fi
}
diff --git a/app-emulation/winetricks/winetricks-99999999.ebuild b/app-emulation/winetricks/winetricks-99999999.ebuild
index 91fa5d31a9b7..1a7b9025d53b 100644
--- a/app-emulation/winetricks/winetricks-99999999.ebuild
+++ b/app-emulation/winetricks/winetricks-99999999.ebuild
@@ -3,9 +3,10 @@
EAPI=8
+WTG="winetricks-gentoo-2012.11.24"
inherit xdg
-if [[ ${PV} == "99999999" ]] ; then
+if [[ ${PV} == *99999999* ]] ; then
EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git"
inherit git-r3
SRC_URI=""
@@ -14,19 +15,14 @@ else
KEYWORDS="~amd64 ~x86"
fi
-wtg="winetricks-gentoo-2012.11.24"
-
-SRC_URI="${SRC_URI}
- gtk? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
- kde? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
-"
+SRC_URI+=" gui? ( https://dev.gentoo.org/~chiitoo/distfiles/${WTG}.tar.bz2 )"
DESCRIPTION="Easy way to install DLLs needed to work around problems in Wine"
HOMEPAGE="https://github.com/Winetricks/winetricks https://wiki.winehq.org/Winetricks"
LICENSE="LGPL-2.1+"
SLOT="0"
-IUSE="gtk kde rar test"
+IUSE="gui rar test"
RESTRICT="!test? ( test )"
# dev-util/shellcheck is not available for x86
@@ -42,16 +38,17 @@ BDEPEND="
)
)
"
-DEPEND=""
-RDEPEND="${DEPEND}
+RDEPEND="
app-arch/cabextract
app-arch/p7zip
app-arch/unzip
net-misc/wget
virtual/wine
x11-misc/xdg-utils
- gtk? ( gnome-extra/zenity )
- kde? ( kde-apps/kdialog )
+ gui? ( || (
+ gnome-extra/zenity
+ kde-apps/kdialog:*
+ ) )
rar? ( app-arch/unrar )
"
@@ -65,16 +62,10 @@ RDEPEND="${DEPEND}
QA_DESKTOP_FILE="usr/share/applications/winetricks.desktop"
src_unpack() {
- if [[ ${PV} == "99999999" ]]; then
- git-r3_src_unpack
-
- if use gtk || use kde; then
- unpack ${wtg}.tar.bz2
- fi
-
- else
- default
- fi
+ case ${PV} in
+ *99999999*) git-r3_src_unpack ;&
+ *) default ;;
+ esac
}
src_test() {
@@ -84,8 +75,7 @@ src_test() {
src_install() {
default
- if ! use gtk && ! use kde; then
- rm -r "${ED}"/usr/share/applications || die
- rm -r "${ED}"/usr/share/icons || die
+ if ! use gui; then
+ rm -r "${ED}"/usr/share/{applications,icons} || die
fi
}
next reply other threads:[~2024-09-07 21:26 UTC|newest]
Thread overview: 76+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-07 21:26 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-03 14:58 [gentoo-commits] repo/gentoo:master commit in: app-emulation/winetricks/ Jimi Huotari
2024-09-07 21:26 Andreas Sturmlechner
2024-06-28 20:33 Jimi Huotari
2024-05-30 15:01 Arthur Zamarin
2024-05-30 15:01 Arthur Zamarin
2024-01-06 0:13 Jimi Huotari
2023-12-16 21:06 Jimi Huotari
2023-05-06 9:49 Arthur Zamarin
2023-05-06 9:49 Arthur Zamarin
2023-02-12 12:42 Jimi Huotari
2023-02-12 12:42 Jimi Huotari
2022-05-23 6:43 Agostino Sarubbo
2022-05-22 20:08 Jakov Smolić
2022-04-13 13:13 Nick Sarnie
2022-04-13 13:13 Nick Sarnie
2021-08-27 14:07 Nick Sarnie
2021-04-16 21:32 Nick Sarnie
2021-04-11 20:08 Thomas Deutschmann
2021-04-11 11:11 Sam James
2021-03-06 17:40 Nick Sarnie
2021-03-06 17:40 Nick Sarnie
2021-01-18 3:41 Nick Sarnie
2020-11-17 0:42 Nick Sarnie
2020-11-15 1:27 Sam James
2020-11-14 2:16 Thomas Deutschmann
2020-11-14 2:16 Thomas Deutschmann
2020-07-27 4:41 Sam James
2020-07-14 0:34 Nick Sarnie
2020-04-15 23:42 Nick Sarnie
2019-12-25 0:26 Nick Sarnie
2019-12-24 23:33 Nick Sarnie
2019-11-26 23:17 Nick Sarnie
2019-11-26 0:58 Thomas Deutschmann
2019-11-17 11:26 Agostino Sarubbo
2019-09-16 22:20 Nick Sarnie
2019-09-16 22:20 Nick Sarnie
2019-06-21 22:17 Nick Sarnie
2019-05-27 12:50 Nick Sarnie
2019-05-20 11:01 Mikle Kolyada
2019-05-19 15:48 Thomas Deutschmann
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-02-06 23:13 Nick Sarnie
2019-01-27 17:19 Nick Sarnie
2018-08-30 1:34 Austin English
2018-06-03 17:12 Nick Sarnie
2018-05-16 22:08 Nick Sarnie
2018-04-30 22:31 Nick Sarnie
2018-04-30 22:31 Nick Sarnie
2018-01-22 22:51 NP Hardass
2018-01-18 13:54 Mikle Kolyada
2017-09-05 23:50 Austin English
2017-09-05 23:50 Austin English
2017-06-18 5:25 Austin English
2017-06-18 5:25 Austin English
2017-05-17 6:33 Austin English
2017-04-10 17:58 NP Hardass
2017-03-28 6:57 Austin English
2016-07-29 4:48 NP Hardass
2016-07-29 4:48 NP Hardass
2016-07-10 0:48 NP Hardass
2016-07-10 0:48 NP Hardass
2016-05-13 1:50 NP Hardass
2016-05-13 1:50 NP Hardass
2016-03-30 23:12 NP Hardass
2016-03-30 23:12 NP Hardass
2016-03-30 23:12 NP Hardass
2016-01-19 2:04 NP Hardass
2015-11-17 2:12 NP Hardass
2015-11-17 2:12 NP Hardass
2015-11-14 0:26 NP Hardass
2015-11-14 0:26 NP Hardass
2015-09-27 13:44 NP Hardass
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1725740744.6976e5a4946297ac297914d2be5e5ae1455a2031.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox